Run of lintian-fixes for baloo-kf5

Try this locally (using the lintian-brush package):

debcheckout baloo-kf5
cd baloo-kf5
lintian-brush

Merge these changes:

git pull https://janitor.debian.net/git/baloo-kf5 lintian-fixes/main

Summary

  • Update renamed lintian tag names in lintian overrides. (renamed-tag)

Diff

diff --git a/debian/baloo-kf5.lintian-overrides b/debian/baloo-kf5.lintian-overrides
index cdb59e2..e0f41b6 100644
--- a/debian/baloo-kf5.lintian-overrides
+++ b/debian/baloo-kf5.lintian-overrides
@@ -1,5 +1,5 @@
-baloo-kf5: binary-without-manpage usr/bin/baloo_file
-baloo-kf5: binary-without-manpage usr/bin/baloo_file_extractor
-baloo-kf5: binary-without-manpage usr/bin/balooctl
-baloo-kf5: binary-without-manpage usr/bin/baloosearch
-baloo-kf5: binary-without-manpage usr/bin/balooshow
+baloo-kf5: no-manual-page usr/bin/baloo_file
+baloo-kf5: no-manual-page usr/bin/baloo_file_extractor
+baloo-kf5: no-manual-page usr/bin/balooctl
+baloo-kf5: no-manual-page usr/bin/baloosearch
+baloo-kf5: no-manual-page usr/bin/balooshow
diff --git a/debian/changelog b/debian/changelog
index f079255..e1cb929 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+baloo-kf5 (5.78.0-4) UNRELEASED; urgency=medium
+
+  * Update renamed lintian tag names in lintian overrides.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Wed, 17 Mar 2021 00:23:47 -0000
+
 baloo-kf5 (5.78.0-3) unstable; urgency=medium
 
   * Team upload.

Debdiff

[The following lists of changes regard files as different if they have different names, permissions or owners.]

Files in second set of .debs but not in first

-rw-r--r--  root/root   /usr/lib/debug/.build-id/01/057434fb3d3f28126c948da09839ab607ec5a6.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/3c/94f77a362e761e2d420db89b12bd6ed1bb3177.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/41/28c6dcd857441c05dd4d3c58adc1ed74b9458c.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/85/8b199e54f526d519c2bb040a5b008b60cee4f7.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/9f/de74f68b7b104550066d169e3f92365fe0a808.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/a2/323e51f394701cbb8607790125e81fe94dd76a.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/a5/b8aec206ea48cadfb20aba598b14f422d59210.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/c5/be70b886d224e2bb4ba3b5b7c378b90607abf9.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/d4/825805491cadce02529d2a3499a0577c9c7baf.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/dc/ad4e389a2021eb29473af93cdf80f7870dcb00.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/e5/df1a82bf6ee7ce2c08d79400fddf7fe50acd1a.debug

Files in first set of .debs but not in second

-rw-r--r--  root/root   /usr/lib/debug/.build-id/3c/d4f642712bc66d3491e9d67dd0d6a944bb6e00.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/42/68189407d3199b1a50bfd9030e6594cc455277.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/53/94f19357c4cb4917385a96014f011e05881d8f.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/5a/29f029a5414a1b3c194f98d6350e7a30c99c81.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/69/480f4ba27aad33aa1b6cd37336a8645467d5b7.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/6a/ed454560de2c916c46affaae79a62fd4b195a9.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/90/a9ccda76d186460bfaf7716d3db420bf0af1ad.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/b0/4582bd95baf74c46ab66604734562196f1ae80.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/bd/3970a1505f8f86a7a98b051810e3320478c698.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/be/bc4e64e2f59cf0472217b34ddaa9764d125a5b.debug
-rw-r--r--  root/root   /usr/lib/debug/.build-id/d0/58d841ca973d7e6a762efa939f6524686ff474.debug

No differences were encountered between the control files of package baloo-kf5

Control files of package baloo-kf5-dbgsym: lines which differ (wdiff format)

  • Build-Ids: 4268189407d3199b1a50bfd9030e6594cc455277 5394f19357c4cb4917385a96014f011e05881d8f 5a29f029a5414a1b3c194f98d6350e7a30c99c81 69480f4ba27aad33aa1b6cd37336a8645467d5b7 6aed454560de2c916c46affaae79a62fd4b195a9 90a9ccda76d186460bfaf7716d3db420bf0af1ad 01057434fb3d3f28126c948da09839ab607ec5a6 3c94f77a362e761e2d420db89b12bd6ed1bb3177 4128c6dcd857441c05dd4d3c58adc1ed74b9458c 858b199e54f526d519c2bb040a5b008b60cee4f7 9631cb892163073768d5e0747b1f19e044912017 b04582bd95baf74c46ab66604734562196f1ae80 bd3970a1505f8f86a7a98b051810e3320478c698 bebc4e64e2f59cf0472217b34ddaa9764d125a5b d058d841ca973d7e6a762efa939f6524686ff474 9fde74f68b7b104550066d169e3f92365fe0a808 a2323e51f394701cbb8607790125e81fe94dd76a a5b8aec206ea48cadfb20aba598b14f422d59210 c5be70b886d224e2bb4ba3b5b7c378b90607abf9 d4825805491cadce02529d2a3499a0577c9c7baf e5df1a82bf6ee7ce2c08d79400fddf7fe50acd1a

No differences were encountered between the control files of package baloo-kf5-dev

No differences were encountered between the control files of package libkf5baloo-doc

No differences were encountered between the control files of package libkf5baloo5

Control files of package libkf5baloo5-dbgsym: lines which differ (wdiff format)

  • Build-Ids: 3cd4f642712bc66d3491e9d67dd0d6a944bb6e00 dcad4e389a2021eb29473af93cdf80f7870dcb00

No differences were encountered between the control files of package libkf5balooengine5

No differences were encountered between the control files of package libkf5balooengine5-dbgsym

Publish History

  • 2021-05-08T09:15: Failed to create merge proposal: hoster-no-login (Hoster salsa.debian.org supported but not login known.)
  • 2021-05-08T06:51: Failed to create merge proposal: publisher-invalid-response (
    Traceback (most recent call last):
      File "/code/silver-platter/silver_platter/utils.py", line 263, in open_branch
        dir = ControlDir.open_from_transport(transport, probers)
      File "/code/breezy/breezy/controldir.py", line 754, in open_from_transport
        transport, format = _mod_transport.do_catching_redirections(
      File "/code/breezy/breezy/transport/__init__.py", line 1613, in do_catching_redirections
        return action(transport)
      File "/code/breezy/breezy/controldir.py", line 742, in find_format
        return transport, ControlDirFormat.find_format(transport,
      File "/code/breezy/breezy/controldir.py", line 1165, in find_format
        return prober.probe_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 211, in probe_transport
        return self.probe_http_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 181, in probe_http_transport
        resp = transport.request('GET', url, headers=headers)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1850, in request
        response = self._opener.open(request)
      File "/usr/lib/python3.9/urllib/request.py", line 523, in open
        response = meth(req, response)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1717, in http_response
        response = self.parent.error('http', request, response,
      File "/usr/lib/python3.9/urllib/request.py", line 561, in error
        return self._call_chain(*args)
      File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
        result = func(*args)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1733, in http_error_default
        raise errors.UnexpectedHttpStatus(
    breezy.errors.UnexpectedHttpStatus: Unexpected HTTP status 429 for https://salsa.debian.org/qt-kde-team/kde/baloo.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
        return _run_code(code, main_globals, None,
      File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
        exec(code, run_globals)
      File "/code/janitor/publish_one.py", line 617, in <module>
        publish_result, branch_name = publish_one(
      File "/code/janitor/publish_one.py", line 454, in publish_one
        main_branch = open_branch(
      File "/code/silver-platter/silver_platter/utils.py", line 266, in open_branch
        converted = _convert_exception(url, e)
      File "/code/silver-platter/silver_platter/utils.py", line 231, in _convert_exception
        raise BranchRateLimited(url, str(e))
    silver_platter.utils.BranchRateLimited: Unexpected HTTP status 429 for https://salsa.debian.org/qt-kde-team/kde/baloo.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    )
  • 2021-05-08T04:37: Failed to create merge proposal: publisher-invalid-response (
    Traceback (most recent call last):
      File "/code/silver-platter/silver_platter/utils.py", line 263, in open_branch
        dir = ControlDir.open_from_transport(transport, probers)
      File "/code/breezy/breezy/controldir.py", line 754, in open_from_transport
        transport, format = _mod_transport.do_catching_redirections(
      File "/code/breezy/breezy/transport/__init__.py", line 1613, in do_catching_redirections
        return action(transport)
      File "/code/breezy/breezy/controldir.py", line 742, in find_format
        return transport, ControlDirFormat.find_format(transport,
      File "/code/breezy/breezy/controldir.py", line 1165, in find_format
        return prober.probe_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 211, in probe_transport
        return self.probe_http_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 181, in probe_http_transport
        resp = transport.request('GET', url, headers=headers)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1850, in request
        response = self._opener.open(request)
      File "/usr/lib/python3.9/urllib/request.py", line 523, in open
        response = meth(req, response)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1717, in http_response
        response = self.parent.error('http', request, response,
      File "/usr/lib/python3.9/urllib/request.py", line 561, in error
        return self._call_chain(*args)
      File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
        result = func(*args)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1733, in http_error_default
        raise errors.UnexpectedHttpStatus(
    breezy.errors.UnexpectedHttpStatus: Unexpected HTTP status 429 for https://salsa.debian.org/qt-kde-team/kde/baloo.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
        return _run_code(code, main_globals, None,
      File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
        exec(code, run_globals)
      File "/code/janitor/publish_one.py", line 617, in <module>
        publish_result, branch_name = publish_one(
      File "/code/janitor/publish_one.py", line 454, in publish_one
        main_branch = open_branch(
      File "/code/silver-platter/silver_platter/utils.py", line 266, in open_branch
        converted = _convert_exception(url, e)
      File "/code/silver-platter/silver_platter/utils.py", line 231, in _convert_exception
        raise BranchRateLimited(url, str(e))
    silver_platter.utils.BranchRateLimited: Unexpected HTTP status 429 for https://salsa.debian.org/qt-kde-team/kde/baloo.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    )
  • 2021-05-08T02:15: Failed to create merge proposal: hoster-no-login (Hoster salsa.debian.org supported but not login known.)
  • 2021-05-07T23:49: Failed to create merge proposal: publisher-invalid-response (
    Traceback (most recent call last):
      File "/code/silver-platter/silver_platter/utils.py", line 263, in open_branch
        dir = ControlDir.open_from_transport(transport, probers)
      File "/code/breezy/breezy/controldir.py", line 754, in open_from_transport
        transport, format = _mod_transport.do_catching_redirections(
      File "/code/breezy/breezy/transport/__init__.py", line 1613, in do_catching_redirections
        return action(transport)
      File "/code/breezy/breezy/controldir.py", line 742, in find_format
        return transport, ControlDirFormat.find_format(transport,
      File "/code/breezy/breezy/controldir.py", line 1165, in find_format
        return prober.probe_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 211, in probe_transport
        return self.probe_http_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 181, in probe_http_transport
        resp = transport.request('GET', url, headers=headers)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1850, in request
        response = self._opener.open(request)
      File "/usr/lib/python3.9/urllib/request.py", line 523, in open
        response = meth(req, response)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1717, in http_response
        response = self.parent.error('http', request, response,
      File "/usr/lib/python3.9/urllib/request.py", line 561, in error
        return self._call_chain(*args)
      File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
        result = func(*args)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1733, in http_error_default
        raise errors.UnexpectedHttpStatus(
    breezy.errors.UnexpectedHttpStatus: Unexpected HTTP status 429 for https://salsa.debian.org/qt-kde-team/kde/baloo.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
        return _run_code(code, main_globals, None,
      File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
        exec(code, run_globals)
      File "/code/janitor/publish_one.py", line 617, in <module>
        publish_result, branch_name = publish_one(
      File "/code/janitor/publish_one.py", line 454, in publish_one
        main_branch = open_branch(
      File "/code/silver-platter/silver_platter/utils.py", line 266, in open_branch
        converted = _convert_exception(url, e)
      File "/code/silver-platter/silver_platter/utils.py", line 231, in _convert_exception
        raise BranchRateLimited(url, str(e))
    silver_platter.utils.BranchRateLimited: Unexpected HTTP status 429 for https://salsa.debian.org/qt-kde-team/kde/baloo.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    )
  • 2021-05-07T21:21: Failed to create merge proposal: hoster-no-login (Hoster salsa.debian.org supported but not login known.)

Full worker log Full build log